import request from '@/utils/request'

// 查询用户签到列表
export function listMemberSign(query) {
  return request({
    url: '/hezhi/memberSign/list',
    method: 'get',
    params: query
  })
}

// 查询用户签到详细
export function getMemberSign(memberSignId) {
  return request({
    url: '/hezhi/memberSign/' + memberSignId,
    method: 'get'
  })
}

// 新增用户签到
export function addMemberSign(data) {
  return request({
    url: '/hezhi/memberSign',
    method: 'post',
    data: data
  })
}

// 修改用户签到
export function updateMemberSign(data) {
  return request({
    url: '/hezhi/memberSign',
    method: 'put',
    data: data
  })
}

// 删除用户签到
export function delMemberSign(memberSignId) {
  return request({
    url: '/hezhi/memberSign/' + memberSignId,
    method: 'delete'
  })
}
